Remove your like from a comment

DELETE https://api.cryptohopper.com/v1/social/post/{id}/comment/{comment_id}/like

Removes your like from a comment.

OAuth scope: manage About scopes

Example request

curl -X DELETE "https://api.cryptohopper.com/v1/social/post/POST_ID/comment/COMMENT_ID/like" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
comment_id string Required Numeric ID of the comment.
id string Required Numeric ID of the post.

Response

Example response (illustrative values)

{
    "data": {
        "liked": 0,
        "total_likes": 1,
        "message": "Comment unliked."
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.